Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		libsamplerate
Version:	0.1.4
Release:	1
Provides:	%{name}
Provides:	libsamplerate.so.0(libsamplerate.so.0.0)
License:	GNU/GPL 
URL:		http://www.mega-nerd.com/SRC/
Group:		Sound
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	Secret Rabbit Code (aka libsamplerate) is a Sample Rate Converter.
BuildRequires:	libsndfile-devel
BuildRequires:	glibc-devel

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1


%description
libsamplerate is a C library capable of arbitrary and time varying
conversions; from downsampling by a factor of 12 to upsampling by the
same factor. The conversion ratio can also vary with time for speeding
up and slowing down effects.
For more details see: http://www.mega-nerd.com/SRC/

%package devel
Summary: 	%{name} development headers.
Group: 		%{group}
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure --prefix=%_prefix \
--disable-dependency-tracking
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%_bindir
%_libdir/*.so.*

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so
%_libdir/pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Jul 05 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.1.4-1
- version update
* Tue Mar 25 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.1.3-1
- version update
* Sun Apr 23 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.1.2-3
- added Provides: libsamplerate.so.0(libsamplerate.so.0.0)
- added BuildRequires
* Sun Nov 27 2005 Christian Wasem <wasem@ccux-linux.de> 0.1.2-2
- rebuilt, removed wrong Obsoletes-Tag
* Thu Jul 07 2005 Christian Wasem <wasem@ccux-linux.de> 0.1.2-1
- update to Version 0.1.2
